import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const paymentsToDeposits = await conductor.qbd.paymentsToDeposit.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(paymentsToDeposits.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
payments_to_deposits = conductor.qbd.payments_to_deposit.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(payments_to_deposits.data)curl --request GET \
--url https://api.conductor.is/v1/quickbooks-desktop/payments-to-deposit \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'
{
"objectType": "list",
"url": "/v1/quickbooks-desktop/payments-to-deposit",
"data": [
{
"paymentTransactionId": "123ABC-1234567890",
"paymentTransactionLineId": "456DEF-1234567890",
"transactionType": "invoice",
"customer": {
"id": "80000001-1234567890",
"fullName": "Acme Corporation"
},
"transactionDate": "2024-10-01",
"refNumber": "PAYMENT-1234",
"amount": "1000.00",
"currency": {
"id": "80000001-1234567890",
"fullName": "USD"
},
"exchangeRate": 1.2345,
"amountInHomeCurrency": "1234.56"
}
]
}List all payments to deposit
Lists received customer payments that are currently available to include in a QuickBooks Desktop deposit. Use each result’s paymentTransactionId and, when present, paymentTransactionLineId as the corresponding fields on a deposit line.
NOTE: QuickBooks Desktop does not support pagination for payments to deposit; hence, there is no cursor parameter. Users typically have few payments to deposit.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const paymentsToDeposits = await conductor.qbd.paymentsToDeposit.list({
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(paymentsToDeposits.data);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
payments_to_deposits = conductor.qbd.payments_to_deposit.list(
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(payments_to_deposits.data)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Response
Returns a list of payments to deposit.
The type of object. This value is always "list".
"list""list"
The endpoint URL where this list can be accessed.
"/v1/quickbooks-desktop/payments-to-deposit"
The array of payments to deposit.
Show child attributes
Show child attributes

